## org.hibernate.cfg.annotations.reflection
Class JPAOverridenAnnotationReader

    java.lang.Object
      org.hibernate.cfg.annotations.reflection.JPAOverridenAnnotationReader

All Implemented Interfaces:
  org.hibernate.annotations.common.reflection.AnnotationReader

    public class JPAOverridenAnnotationReader

extends Object
implements org.hibernate.annotations.common.reflection.AnnotationReader

Encapsulates the overriding of Java annotations from an EJB 3.0 descriptor.

Author:
  Paolo Perrotta, Davide Marchignoli, Emmanuel Bernard, Hardy Ferentschik

Constructor Summary
`JPAOverridenAnnotationReader(AnnotatedElement el, XMLContext xmlContext)`

Method Summary
`static List` `buildNamedQueries(org.dom4j.Element element, boolean isNative, XMLContext.Default defaults)`
`static SequenceGenerator` `buildSequenceGeneratorAnnotation(org.dom4j.Element element)`
`static List<SqlResultSetMapping>` `buildSqlResultsetMappings(org.dom4j.Element element, XMLContext.Default defaults)`
`static TableGenerator` `buildTableGeneratorAnnotation(org.dom4j.Element element, XMLContext.Default defaults)`

`

`<T extends Annotation> T`

`

`getAnnotation(Class<T> annotationType)`

`Annotation[]` `getAnnotations()`

`

`<T extends Annotation> boolean`

`

`isAnnotationPresent(Class<T> annotationType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JPAOverridenAnnotationReader

    public JPAOverridenAnnotationReader(AnnotatedElement el,
                                        XMLContext xmlContext)

Method Detail

### getAnnotation

    public <T extends Annotation> T getAnnotation(Class<T> annotationType)

  Specified by:
    `getAnnotation` in interface `org.hibernate.annotations.common.reflection.AnnotationReader`

### isAnnotationPresent

    public <T extends Annotation> boolean isAnnotationPresent(Class<T> annotationType)

  Specified by:
    `isAnnotationPresent` in interface `org.hibernate.annotations.common.reflection.AnnotationReader`

### getAnnotations

    public Annotation[] getAnnotations()

  Specified by:
    `getAnnotations` in interface `org.hibernate.annotations.common.reflection.AnnotationReader`

### buildSqlResultsetMappings

    public static List<SqlResultSetMapping> buildSqlResultsetMappings(org.dom4j.Element element,
                                                                      XMLContext.Default defaults)

### buildNamedQueries

    public static List buildNamedQueries(org.dom4j.Element element,
                                         boolean isNative,
                                         XMLContext.Default defaults)

### buildTableGeneratorAnnotation

    public static TableGenerator buildTableGeneratorAnnotation(org.dom4j.Element element,
                                                               XMLContext.Default defaults)

### buildSequenceGeneratorAnnotation

    public static SequenceGenerator buildSequenceGeneratorAnnotation(org.dom4j.Element element)

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.